#ifndef CARS_H
#define CARS_H

#include <stdint.h>
#include "camera.h"


class Cars
{
    public:
        Cars();
        Cars( float x, double z, uint8_t s, uint8_t t );
        ~Cars();

        void Project3DFP( camera* c, uint16_t index );


        float wX;
        double wZ;

        int16_t X;
        int16_t Y;
        //uint8_t S;

        uint8_t Speed;
        uint8_t Type;

        int8_t Turn=0;

        //uint8_t DScale;

        // for debugging only
        //bool visible;
        //uint16_t segnum;
};

#endif // CARS_H
